Package com.xebialabs.xlrelease.domain.variables.reference

## Class UserInputTaskUsagePoint

- java.lang.Object
- - com.xebialabs.xlrelease.domain.variables.reference.UserInputTaskUsagePoint

- All Implemented Interfaces:
    `UsagePoint`

      public class UserInputTaskUsagePoint
      extends java.lang.Object
      implements UsagePoint

  This usage point means that variable is referenced by user input task variables property i.e. a variables property of type `List<Variable>`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UserInputTaskUsagePoint​(UserInputTask task, java.lang.String property, Variable variable)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Map<java.lang.String,​VariableReference.VariableUsageType>` | `collectVariables()` |
    `CiProperty` | `getTargetProperty()` |
    `java.util.Set<ConfigurationItem>` | `replaceVariable​(Variable variable, VariableOrValue replacement)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserInputTaskUsagePoint

          public UserInputTaskUsagePoint​(UserInputTask task,
                                         java.lang.String property,
                                         Variable variable)

  - ### Method Detail

    - #### collectVariables

          public java.util.Map<java.lang.String,​VariableReference.VariableUsageType> collectVariables()

      Specified by:
        `collectVariables` in interface `UsagePoint`

    - #### replaceVariable

          public java.util.Set<ConfigurationItem> replaceVariable​(Variable variable,
                                                                  VariableOrValue replacement)

      Specified by:
        `replaceVariable` in interface `UsagePoint`

    - #### getTargetProperty

          public CiProperty getTargetProperty()

      Specified by:
        `getTargetProperty` in interface `UsagePoint`